commit a62d7c921359fb1d839d87189dfb8a4457a64015
Author: Michal Schwob <michal.schwob@seznam.cz>
Date:   Fri Nov 3 16:15:49 2023 +0100

    FIX: compilation error fixes
    re #10847

diff --git a/src/components/item/ItemTabBar.tsx b/src/components/item/ItemTabBar.tsx
index 6565eec..e61b73d 100644
--- a/src/components/item/ItemTabBar.tsx
+++ b/src/components/item/ItemTabBar.tsx
@@ -3,11 +3,11 @@ import { CertaintyWithColors } from "../../stores/reducers/itemSlice";
 import { Certainty, Concordance } from "../../types/item";
 import LoadingBox from "../loading/LoadingBox";
 import { DrawerNavigationProp } from "@react-navigation/drawer";
-import { RootDrawerParamList } from "../../pages/Navigation";
+import { RootStackParamList } from "../../pages/Navigation";
 import { InfoToast } from "../toast/InfoToast";
 
 // custom render Tab
-const ItemTabBar = (props: { navigationState: { routes: any[] }, concordances: Concordance[], index: number, onIndexChange: any, onBackPressed: any, navigation: DrawerNavigationProp<RootDrawerParamList, "Item", undefined>, nextItem?: string | boolean, prevItem?:string | boolean }) => {
+const ItemTabBar = (props: { navigationState: { routes: any[] }, concordances: Concordance[], index: number, onIndexChange: any, onBackPressed: any, navigation: DrawerNavigationProp<RootStackParamList, "Item", undefined>, nextItem?: string | boolean, prevItem?:string | boolean }) => {
 
     const { concordances, onIndexChange, index, onBackPressed, nextItem, prevItem } = props
 
diff --git a/src/components/item/ItemView.tsx b/src/components/item/ItemView.tsx
index a1d2181..442d69f 100644
--- a/src/components/item/ItemView.tsx
+++ b/src/components/item/ItemView.tsx
@@ -13,14 +13,14 @@ import { getItemNotes } from "../../stores/actions/itemThunks"
 
 import { Dimensions } from "react-native";
 import { DrawerNavigationProp } from "@react-navigation/drawer"
-import { RootDrawerParamList } from "../../pages/Navigation"
+import { RootStackParamList } from "../../pages/Navigation"
 
 interface ItemDetailProps {
     item: Item,
     itemLoading: boolean,
     notes: Note[],
     notesLoading: boolean,
-    navigation: DrawerNavigationProp<RootDrawerParamList, "Item", undefined>
+    navigation: DrawerNavigationProp<RootStackParamList, "Item", undefined>
 }
 
 const ItemDetail = (props: { item: Item, itemLoading: boolean }) => {
@@ -137,7 +137,7 @@ const ItemDetail = (props: { item: Item, itemLoading: boolean }) => {
 
 
 
-const ItemNotes = (props: { item: Item, notes: Note[], notesLoading: boolean, navigation: DrawerNavigationProp<RootDrawerParamList, "Item", undefined> }) => {
+const ItemNotes = (props: { item: Item, notes: Note[], notesLoading: boolean, navigation: DrawerNavigationProp<RootStackParamList, "Item", undefined> }) => {
 
     const [showRelatedComments, setShowRelatedComments] = useState(true);
 
diff --git a/src/components/listView/ItemPreview.tsx b/src/components/listView/ItemPreview.tsx
index 47deac0..d1dc3cc 100644
--- a/src/components/listView/ItemPreview.tsx
+++ b/src/components/listView/ItemPreview.tsx
@@ -1,7 +1,7 @@
 import { Box, Center, HStack, Image, Pressable, ScrollView, Text, VStack } from "native-base"
 import { useEffect } from "react"
 import { DrawerScreenProps } from "@react-navigation/drawer"
-import { RootDrawerParamList } from "../../pages/Navigation"
+import { RootStackParamList } from "../../pages/Navigation"
 import { ItemPreviewMissingImage } from "./ItemPreviewMissingImage"
 import { ITEM_PREVIEW_IMG_PREFIX_URL } from "../../api/constants"
 
diff --git a/src/pages/HomePage.tsx b/src/pages/HomePage.tsx
index dd500cc..011a914 100644
--- a/src/pages/HomePage.tsx
+++ b/src/pages/HomePage.tsx
@@ -6,13 +6,13 @@ import { fetchData } from "../stores/actions/homePageThunks"
 import { ApplicationHeading } from "../components/reusables/ApplicationHeading"
 import LoadingBox from "../components/loading/LoadingBox"
 import { DrawerScreenProps } from "@react-navigation/drawer"
-import { RootDrawerParamList } from "./Navigation"
+import { RootStackParamList } from "./Navigation"
 import { log } from "../logging/logger"
 import { HOME_PAGE_IMG_URL } from "../api/constants"
 import { ErrorToast } from "../components/toast/ErrorToast"
 // import { Image } from "react-native"
 
-const HomePage = ({navigation}: DrawerScreenProps<RootDrawerParamList, 'Home'>) => {
+const HomePage = ({navigation}: DrawerScreenProps<RootStackParamList, 'Home'>) => {
     const data = useSelector((state: RootState) => state.homePage.data)
     const loading = useSelector((state: RootState) => state.homePage.loading)
     const lastError = useSelector((state: RootState) => state.itemViewState.lastError)
diff --git a/src/pages/ItemViewPage.tsx b/src/pages/ItemViewPage.tsx
index c9931cb..7ffefd4 100644
--- a/src/pages/ItemViewPage.tsx
+++ b/src/pages/ItemViewPage.tsx
@@ -10,12 +10,12 @@ import LoadingBox from "../components/loading/LoadingBox"
 import ItemTabBar from "../components/item/ItemTabBar"
 import { log } from "../logging/logger"
 import { DrawerScreenProps } from "@react-navigation/drawer"
-import { RootDrawerParamList } from "./Navigation"
+import { RootStackParamList } from "./Navigation"
 import { useToast } from "native-base"
 import { ErrorToast } from "../components/toast/ErrorToast"
 
 
-const ItemViewPage = ({ route, navigation }: DrawerScreenProps<RootDrawerParamList, 'Item'>) => {
+const ItemViewPage = ({ route, navigation }: DrawerScreenProps<RootStackParamList, 'Item'>) => {
 
   const layout = useWindowDimensions();
 
diff --git a/src/pages/NotesViewPage.tsx b/src/pages/NotesViewPage.tsx
index feb4be7..e28f6b4 100644
--- a/src/pages/NotesViewPage.tsx
+++ b/src/pages/NotesViewPage.tsx
@@ -9,13 +9,13 @@ import { useDispatch, useSelector } from "react-redux"
 import { AppDispatch, RootState } from "../stores/store"
 import LoadingBox from "../components/loading/LoadingBox"
 import { createNote, getAllNotes } from "../stores/actions/notesThunks"
-import { RootDrawerParamList } from "./Navigation"
+import { RootStackParamList } from "./Navigation"
 import { ErrorToast } from "../components/toast/ErrorToast"
 import { InfoToast } from "../components/toast/InfoToast"
 
 import { Dimensions } from "react-native";
 
-const NotesViewPage = ({ navigation }: DrawerScreenProps<RootDrawerParamList, 'Notes'>) => {
+const NotesViewPage = ({ navigation }: DrawerScreenProps<RootStackParamList, 'Notes'>) => {
 
   const { notes, notesLoading, requestPending, triggerRefresh } = useSelector((state: RootState) => state.noteViewState);
 
diff --git a/src/pages/SearchPage.tsx b/src/pages/SearchPage.tsx
index 5fc1a21..2edee44 100644
--- a/src/pages/SearchPage.tsx
+++ b/src/pages/SearchPage.tsx
@@ -21,10 +21,10 @@ import { useDispatch } from "react-redux"
 import { AppDispatch } from "../stores/store"
 import { log } from "../logging/logger"
 import { DrawerScreenProps } from "@react-navigation/drawer"
-import { RootDrawerParamList } from "./Navigation"
+import { RootStackParamList } from "./Navigation"
 
 
-const SearchPage = ({route, navigation}: DrawerScreenProps<RootDrawerParamList, 'Search'>) => {
+const SearchPage = ({route, navigation}: DrawerScreenProps<RootStackParamList, 'Search'>) => {
     const dispatch = useDispatch<AppDispatch>()
 
     useEffect(() => {